Slas
Get Metric Tracker (POST)
Gets a metric tracker.
Gets a metric tracker.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
metric*string
The ID of the metric that is being tracked.
Format
idobject*string
The ID of the underlying object on which the metric is being tracked.
Format
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/metric-trackers.get" \ -H "Content-Type: application/json" \ -d '{ "metric": "string", "object": "string" }'{
"metric_tracker": {
"type": "time_metric_tracker",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"active_intervals": [
{}
],
"last_started_at": "2023-01-01T12:00:00.000Z",
"org_schedule": {
"display_id": "string",
"id": "string",
"name": "string",
"status": "archived",
"timezone": "string",
"valid_until": "2023-01-01T12:00:00.000Z",
"version_number": 0
},
"status": "completed",
"time_consumed": 0
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}